MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022760Open CASCADE[OCCT] OCCT:Data Exchangepublic2011-10-13 16:242012-03-29 17:26
Reporterszv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022760: Regression in the method RWStl::WriteAscii
DescriptionThis regression was noticed during evaluation of STL export by CADS Solution.

The method RWStl::WriteAscii does not write the mesh contents to the file due to a regression - the string 'sval' is not assigned to the buffer 'buf' prior to writing.

The suggested fix is attached.
Steps To ReproduceThis problem is reproduced in XDE sample (menu "File / Export / Stl...")
TagsNo tags attached.
Test case numberchl 934 D3
Attached Filescxx file icon RWStl.cxx (14,285 bytes) 2011-10-13 16:25
gz file icon chl_934_D3.tar.gz (677 bytes) 2011-10-14 17:48

- Relationships
child of 0022572closedbugmaster Community Support of progress indicator in RWStl and optimization of reading Ascii. 

-  Notes
(0018356)
abv (manager)
2011-10-13 16:50

The regression has been introduced during review of the code of fix 0022572 (SVN integration 8558)
(0018357)
kgv (developer)
2011-10-13 17:46

Patch was integrated into SVN branch http://svn/svn/occt/branches/OCC22760 [^] and passed review without remarks.
(0018366)
mkv (tester)
2011-10-14 17:49

Dear BugMaster,
File XSDRAWSTLVRML/XSDRAWSTLVRML.cxx was modified in branch http://svn/svn/occt/branches/OCC22760 [^]
(writestl draw-command).

Dear BugMaster,
Workbench KAS:dev:mkv-OCC22760-occt was created from SVN branch http://svn/svn/occt/branches/OCC22760 [^]
(and mkv-OCC22760-products from trunk) and compiled on Linux platform.

Test case for this bug is chl/934/D3. It is OK.

There are not regressions in mkv-OCC22760-products regarding to KAS:dev:products-652-opt.

See results in /dn45/occttests/results/KAS/dev/mkv-OCC22760-products_14102011/lin
See reference results in /dn45/occttests/results/KAS/dev/products-652-opt_23092011/lin
See test cases in /dn45/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0018401)
bugmaster (administrator)
2011-10-21 22:09

Integrated into trunk of occt repository

Date: 2011-10-21 22:08:38 +0400 (Fri, 21 Oct 2011)
New Revision: 9238

Modified:
   trunk/src/RWStl/RWStl.cxx
   trunk/src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx

- Related Changesets
occt: master 68bc5ed7
Timestamp: 2011-10-21 18:08:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0022760: Regression in the method RWStl::WriteAscii
mod - src/RWStl/RWStl.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-10-13 16:24 szv New Issue
2011-10-13 16:24 szv Assigned To => inv
2011-10-13 16:25 szv File Added: RWStl.cxx
2011-10-13 16:48 abv Relationship added child of 0022572
2011-10-13 16:50 abv Note Added: 0018356
2011-10-13 16:50 abv Assigned To inv => kgv
2011-10-13 16:50 abv Status new => assigned
2011-10-13 17:46 kgv Note Added: 0018357
2011-10-13 17:46 kgv Assigned To kgv => bugmaster
2011-10-13 17:46 kgv Status assigned => reviewed
2011-10-14 17:48 mkv File Added: chl_934_D3.tar.gz
2011-10-14 17:49 mkv Note Added: 0018366
2011-10-14 17:50 mkv Test case number => chl 934 D3
2011-10-14 17:50 mkv Status reviewed => tested
2011-10-21 22:09 bugmaster Note Added: 0018401
2011-10-21 22:09 bugmaster Status tested => verified
2011-10-21 22:09 bugmaster Resolution open => fixed
2011-10-21 22:09 bugmaster Assigned To bugmaster => kgv
2011-12-23 11:19 bugmaster Target Version 6.5.2 => 6.5.3
2012-03-20 19:31 abv Fixed in Version => 6.5.2
2012-03-29 17:26 bugmaster Changeset attached => occt master 68bc5ed7


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker